Module java.xml.ws
Package javax.xml.ws.handler

## Interface PortInfo

    public interface PortInfo

The `PortInfo` interface is used by a `HandlerResolver` to query information about the port it is being asked to create a handler chain for.

This interface is never implemented by an application, only by a JAX-WS implementation.

Since:
  1.6, JAX-WS 2.0

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getBindingID()` Gets the URI identifying the binding used by the port being accessed.
`QName` `getPortName()` Gets the qualified name of the WSDL port being accessed.
`QName` `getServiceName()` Gets the qualified name of the WSDL service name containing the port being accessed.

### Method Detail

#### getServiceName

    QName getServiceName()

Gets the qualified name of the WSDL service name containing the port being accessed.

Returns:
  javax.xml.namespace.QName The qualified name of the WSDL service.

#### getPortName

    QName getPortName()

Gets the qualified name of the WSDL port being accessed.

Returns:
  javax.xml.namespace.QName The qualified name of the WSDL port.

#### getBindingID

    String getBindingID()

Gets the URI identifying the binding used by the port being accessed.

Returns:
  String The binding identifier for the port.
See Also:
  `Binding`